<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<h1 class="h2 fw-medium mb-3">
	{{ 'selectSettings.title' | translate }}
</h1>
<p class="mb-4">
	{{ 'selectSettings.instruction' | translate }}
</p>

<ng-container *ngIf="settingsList.length > 0; else noSettings">
	<div class="alert alert-info page-actions">
		<i aria-hidden="true" class="bi bi-cursor"></i>
		<p>
			{{ 'selectSettings.pageActions.selectInstruction' | translate }}
		</p>
		<button (click)="addSettings()" class="btn btn-link" type="button">
			<i aria-hidden="true" class="bi bi-plus-circle"></i>
			{{ 'selectSettings.pageActions.add' | translate }}
		</button>
		<button (click)="copySettings()" [disabled]="selectedSettings === null" class="btn btn-link" type="button">
			<i aria-hidden="true" class="bi bi-copy"></i>
			{{ 'selectSettings.pageActions.copy' | translate }}
		</button>
		<button (click)="selectSettings()" [disabled]="selectedSettings === null" class="btn btn-primary" type="button">
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'selectSettings.pageActions.select' | translate }}
		</button>
	</div>

	<p class="fw-bold fs-6" id="existingSettings">
		{{ 'selectSettings.existingSettings' | translate }}
	</p>
	<ul aria-labelledby="existingConfigs" class="list-unstyled">
		<li *ngFor="let settings of settingsList" class="form-check d-flex align-items-center gap-2 my-3" data-test="election">
			<input [(ngModel)]="selectedSettings"
				   [value]="settings"
				   class="form-check-input"
				   id="settings--{{settings.id}}"
				   type="radio">
			<label class="form-check-label fw-light fs-5" [for]="'settings--' + settings.id">
				{{ settings.electionEventSeed }} [{{ settings.mode }}]
				<span class="small text-muted" *ngIf="settings.electionEventDescription">{{ settings.electionEventDescription }}</span>
				<span class="small text-muted" *ngIf="settings.electionEventId"> / {{ settings.electionEventId }}</span>
			</label>
		</li>
	</ul>
</ng-container>

<ng-template #noSettings>
	<div class="alert alert-info page-actions">
		<i aria-hidden="true" class="bi bi-cursor"></i>
		<p>
			{{ 'selectSettings.pageActions.addSettingsInstruction' | translate }}
		</p>
		<button (click)="addSettings()" class="btn btn-primary" type="button">
			<i aria-hidden="true" class="bi bi-plus-circle"></i>
			{{ 'selectSettings.pageActions.addSettings' | translate }}
		</button>
	</div>
</ng-template>
